# $Revision: 1.32 $, $Date: 2010/07/08 08:14:30 $

%define		module	HTMLgen

Summary:	Class library to create HTML documents from within Python
Summary(pl.UTF-8):	Moduł do tworzenia dokumentów w HTML przy użyciu Pythona
Name:		python-%{module}
Version:	2.2.2
Release:	9
License:	distributable
Group:		Development/Languages/Python
Source0:	http://starship.python.net/crew/friedrich/%{module}.tgz
# Source0-md5:	cd20f8b63d3215e57289ddbf56c97f48
Patch0:		%{name}-fixpaths.patch
URL:		http://starship.python.net/crew/friedrich/HTMLgen/html/main.html
BuildRequires:	python-devel >= 2.2.1
%pyrequires_eq	python
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
HTMLgen is a class library for the generation of HTML documents with
Python scripts. It's used when you want to create HTML pages
containing information which changes from time to time. For example
you might want to have a page which provides an overall system summary
of data collected nightly. Or maybe you have a catalog of data and
images that you would like formed into a spiffy set of web pages for
the world to browse. Python is a great scripting language for these
tasks and with HTMLgen it's very straightforward to construct objects
which are rendered out into consistently structured web pages. Of
course, CGI scripts written in Python can take advantage of these
classes as well.

This software should work on both Unix and Macintosh and Win32
platforms running Python 1.3 or greater. (HTMLcalendar.py requires
1.4) If you are running 1.5 the new re and string module enhancements
are used for performance.

%description -l pl.UTF-8
HTMLGen jest modułem do tworzenia dokumentów w HTML-u za pomocą
skryptów w Pythonie. Jest przydatny do generowania stron WWW
zawierających okresowo zmieniające sie informacje. Na przykład stronę
zawierającą dzienne podsumowania statystyki wykorzystania serwera.
Innym typowym zastosowaniem jest przygotowywanie strony zawierającej
opis i odnośniki do rysunków znajdujących sie w określonym katalogu,
tak aby można je było łatwo oglądać przez WWW. Python jest dobrym
językiem do programowania takich zadań, a wykorzystanie biblioteki
HTMLgen znacznie ułatwia konstruowanie obiektów, które po
przetworzeniu przez tę bibliotekę utworzą spójną stronę WWW.
Oczywiście skrypty CGI pisane w Pythonie również mogą robić użytek z
tej biblioteki.

%prep
%setup -q -n HTMLgen
%patch0 -p0

%build

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{py_sitescriptdir}/HTMLgen

mv -f *.py $RPM_BUILD_ROOT%{py_sitescriptdir}/HTMLgen
echo %{module} > $RPM_BUILD_ROOT%{py_sitescriptdir}/%{module}.pth

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README ChangeLog data html image *.rc
%{py_sitescriptdir}/HTMLgen
%{py_sitescriptdir}/HTMLgen.pth

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-HTMLgen.spec,v $
Revision 1.32  2010/07/08 08:14:30  arekm
- release 9

Revision 1.31  2008/10/03 17:50:59  arekm
- release 8

Revision 1.30  2007-02-13 08:06:42  glen
- tabs in preamble

Revision 1.29  2007/02/12 01:06:28  baggins
- converted to UTF-8

Revision 1.28  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.27  2004/12/25 13:33:45  saq
- release 7 for python 2.4

Revision 1.26  2004/10/24 21:04:48  paladine
- spelling fixes, uppercases, etc.

Revision 1.25  2004/07/28 08:03:16  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.24  2004/05/26 21:15:21  ankry
- capitalization, tabs, other cosmetics

Revision 1.23  2004/01/19 12:23:42  jajcus
- Release: 6
- new architecture-independent python modules paths

Revision 1.22  2003/05/28 13:01:28  malekith
- massive attack: source-md5

Revision 1.21  2003/05/25 06:25:58  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.20  2002/11/30 23:00:25  juandon
- new %%doc

Revision 1.19  2002/04/13 17:46:52  kloczek
- rebuild against python 2.2.1.

Revision 1.18  2002/04/11 13:45:33  wrobell
- use pyrequires_eq instead of requires_eq macro (massive attack!)

Revision 1.17  2002/02/23 04:25:50  kloczek
- adapterized.

Revision 1.16  2002/02/22 23:29:38  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.15  2002/02/04 03:32:18  kloczek
- release 5: rebuild against python 2.2, adapterize spec file and added
  using more macros.

Revision 1.14  2002/01/18 02:14:43  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/10 16:45:31  jajcus
- s/Distibutable/distributable/ in License

Revision 1.12  2001/10/02 11:46:06  qboosh
- added URLs, fixed typos

Revision 1.11  2000/06/25 06:48:00  kura
- upgraded to version 2.2.2 and release 4
- added using %%{module} macro
- removed HTMLgen.pth (it is created by /bin/echo)
- added gzipping README and ChangeLog
- removed *.css form %%doc (there are not such files)
- spellings (polish translation by kloczek, I guess ;-> )
- adapterized

Revision 1.10  2000/06/13 20:17:07  kloczek
- spec adapterized.

Revision 1.9  2000/04/01 11:15:39  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.8  2000/03/28 16:55:05  baggins
- translated kloczkish into english

Revision 1.7  1999/07/18 14:53:24  baggins
- fixed bogus Group: field

Revision 1.6  1999/07/12 23:06:13  kloczek
- added using CVS keywords in %changelog (for automating them).

* Sat Jun 30 1998 Oliver Andrich <oli@andrich.net>
- updated to the HTMLgen 2.1 final version

* Sat Jun 06 1998 Oliver Andrich <oli@andrich.net>
- added the new standard python icon. ;-)

* Sat Jun 06 1998 Oliver Andrich <oli@andrich.net>
- initial release
